Panoramica dell'Utilità di pianificazione

Lo snap-in di MMC dell'Utilità di pianificazione consente di pianificare attività automatizzate che eseguono operazioni in un momento specifico o quando si verifica un determinato evento. Esso gestisce una libreria di tutte le attività pianificate, offrendo una vista organizzata delle attività e un comodo punto di accesso per la loro gestione. Dall'interno della libreria, è possibile eseguire, disattivare, modificare ed eliminare le attività. L'interfaccia utente (UI, User Interface) dell'Utilità di pianificazione è un snap-in di MMC che sostituisce l'estensione Scheduled Tasks Explorer in Windows XP, Windows Server 2003 e Windows 2000. Per ulteriori informazioni sull'avvio o sull'accesso all'interfaccia utente dell'Utilità di pianificazione, vedere Avviare l'Utilità di pianificazione.

Trigger e azioni

I due concetti chiave per la pianificazione di un'attività sono i trigger e le azioni. Un trigger determina l'esecuzione di un'attività, un'azione è ciò che avviene quando l'attività viene eseguita. Le azioni eseguibili da un'attività includono l'esecuzione di un programma, l'invio di un messaggio di posta elettronica e la visualizzazione di una finestra di messaggio. Ad esempio, è possibile inviare un messaggio di posta elettronica quando un determinato evento viene registrato nel registro eventi o eseguire uno script di manutenzione quando un utente accede a un computer. Le situazioni che possono determinare l'attivazione di un'attività includono: l'avvio di un computer, l'avvio dello stato di inattività per un computer o lo sbocco di una workstation da parte di un utente. Inoltre, è possibile pianificare l'esecuzione di un'attività in un momento specificato.

Per ulteriori informazioni sui trigger e le azioni, vedere:

  • Trigger

  • Azioni

Ulteriori riferimenti

Procedure relative all'Utilità di pianificazione

Risolvere i problemi relativi all'Utilità di pianificazione

Proprietà generali delle attività


Proprietà generali delle attività

Le proprietà generali di un'attività sono visualizzate nella scheda Generale della finestra di dialogo Proprietà attività o Crea attività. Le proprietà generali di un'attività includono il nome, l'autore, la descrizione, le opzioni di sicurezza, il sistema operativo per il quale l'attività è configurata e una proprietà che controlla se l'attività è nascosta.

Quando si crea un'attività in una cartella attività, è necessario denominare l'attività. Due attività non possono avere lo stesso nome se si trovano nella stessa cartella attività. La descrizione dell'attività è facoltativa.

Le opzioni di sicurezza dell'attività specificano il contesto di sicurezza per l'esecuzione dell'attività. Per ulteriori informazioni, vedere Contesto di sicurezza delle attività.

Per impostazione predefinita, le attività nascoste vengono visualizzate nell'interfaccia utente dell'Utilità di pianificazione (il comando Visualizza attività nascoste è selezionato nel menu Visualizza). Per rendere un'attività nascosta selezionare la casella di controllo Nascosta nella scheda Generale della finestra di dialogo Proprietà attività o Crea attività.

Configurazione delle attività

Le attività configurate per Windows Vista® o Windows Server® 2008 includono maggiori funzionalità rispetto alle attività configurate per sistemi precedenti (Windows Server 2003, Windows XP o Windows 2000). Per questo motivo, le attività configurate per Microsoft Windows Vista o Windows Server 2008 non funzionano in sistemi precedenti. Le attività configurate per sistemi precedenti funzionano in Microsoft Windows Vista o Windows Server 2008, tuttavia alcuni trigger, azioni, condizioni e impostazioni sono disponibili solo in Microsoft Windows Vista o Windows Server 2008. Per le attività configurate per sistemi di livello inferiore non vengono visualizzate, nella finestra della console dell'Utilità di pianificazione, data e ora di creazione. Per ulteriori informazioni sui trigger disponibili per ogni sistema operativo, vedere Trigger. Per informazioni sulle azioni disponibili per ogni sistema operativo, vedere Azioni.

Se un'attività viene creata in un computer che esegue Microsoft Windows Vista o Windows Server 2008 ed è necessario gestirla da un sistema remoto precedente (Windows Server 2003, Windows XP o Windows 2000), configurare l'attività per i sistemi precedenti. In caso contrario, configurare l'attività per Microsoft Windows Vista o Windows Server 2008.

Ulteriori riferimenti

Trigger

Azioni

Condizioni delle attività

Impostazioni delle attività


Contesto di sicurezza delle attività

Per impostazione predefinita, un'operazione pianificata viene eseguita all'interno del contesto di sicurezza dell'utente che ha pianificato l'attività, e soltanto se tale utente è connesso quando l'attività viene attivata. Per modificare questa impostazione, modificare le impostazioni nella sezione Opzioni di sicurezza della scheda Generale quando sono visualizzate le proprietà di un'attività.

È possibile selezionare un diverso account utente o account di gruppo da utilizzare per l'esecuzione di un'attività facendo clic sul pulsante Cambia utente o gruppo. Sul pulsante verrà visualizzata l'etichetta Cambia utente se l'account utente non è un membro del gruppo Administrators. Gli account utente che non sono membri del gruppo Administrators possono solo specificare un account utente per l'esecuzione di un'attività.

Nota

Se un'attività viene registrata utilizzando il gruppo Administrators per il contesto di sicurezza dell'attività, se si desidera eseguire l'attività è anche necessario verificare che la casella di controllo Esegui con i privilegi più elevati sia selezionata.

È possibile specificare che un'attività deve essere eseguita anche se l'account specificato per l'esecuzione dell'attività nella relativa pianificazione non è connesso quando l'attività viene attivata. A tale scopo, selezionare il pulsante di opzione con l'etichetta Esegui anche se l'utente non è connesso. Se questo pulsante di opzione è selezionato, l'attività non verrà eseguita in modo interattivo. Per fare in modo che un'attività venga eseguita in modo interattivo, selezionare il pulsante di opzione Esegui solo se l'utente è connesso.

Quando il pulsante di opzione Esegui anche se l'utente non è connesso è selezionato, potrebbe venire richiesto di specificare le credenziali dell'account quando si salva l'attività, indipendentemente dal fatto che sia selezionata la casella di controllo con l'etichetta Non memorizzare la password. Se l'account non è connesso quando l'attività corrispondente viene attivata, il servizio utilizzerà le credenziali salvate per l'esecuzione con l'account specificato e utilizzerà il token risultante in modo non vincolato.

Se si seleziona la casella di controllo con l'etichetta Non memorizzare la password, l'Utilità di pianificazione non memorizzerà le credenziali specificate sul computer locale, ma le eliminerà dopo la corretta autenticazione dell'utente. Quando viene richiesto di eseguire l'attività, il servizio Utilità di pianificazione utilizzerà le estensioni "Service-for-User" (S4U) al protocollo di autenticazione Kerberos per recuperare il token dell'utente.

Quando si utilizza S4U, la capacità del servizio di utilizzare il contesto di sicurezza dell'account è vincolata. In particolare, il servizio può utilizzare il contesto di sicurezza solo per accedere alle risorse locali.

Note
  • Se l'attività richiede l'accesso alle risorse di rete, non è possibile utilizzare S4U, o l'attività non riuscirà. L'unica eccezione è il caso in cui una delega vincolata sia stata stabilita tra i computer coinvolti nell'operazione.
  • La funzionalità S4U è disponibile solo all'interno di un ambiente in cui tutti i controller di dominio (DC) del dominio eseguano Windows Server 2003 o un sistema operativo successivo.
  • Se si utilizza la funzionalità S4U, l'attività non avrà accesso ai file crittografati.

Se si utilizza la funzionalità S4U, verificare che il criterio Accesso come processo batch sia impostato per l'utente. Questo criterio è accessibile selezionando Pannello di controllo, Strumenti di amministrazione e quindi Criteri di sicurezza locali. Nella finestra Criteri di sicurezza locali fare clic su Criterio locale, Assegnazione diritti utente e quindi su Accesso come processo batch.

Per ulteriori informazioni sulle estensioni di Kerberos S4U, vedere la pagina relativa alla RFC 1510.

Se si seleziona la casella di controllo con l'etichetta Esegui con i privilegi più elevati, l'Utilità di pianificazione eseguirà l'attività utilizzando un token con privilegi elevati anziché un token con privilegi minimi (UAC). Solo le attività che richiedono privilegi elevati per il completamento delle relative azioni dovrebbe essere eseguite con privilegi elevati. Per ulteriori informazioni, vedere la pagina relativa al controllo degli account utente.


Trigger

Quando si imposta un'attività, è necessario stabilire innanzitutto quale elemento determinerà l'avvio dell'attività. Un trigger è un set di criteri che, quando soddisfatti, avviano l'esecuzione di un'attività. I trigger di un'attività sono visualizzati nella scheda Trigger della finestra di dialogo Proprietà attività o Crea attività. È possibile utilizzare un trigger temporizzato o basato su eventi per avviare un'attività. I trigger temporizzati includono l'avvio di un'attività in una specifica ora del giorno o l'avvio di un'attività più volte al giorno, alla settimana o al mese. I trigger basati eventi avviano un'attività in risposta a determinati eventi di sistema. Ad esempio, i trigger basati su eventi possono essere impostati per avviare un'attività all'avvio del sistema, quando un utente accede al computer o quando il computer entra in uno stato di inattività. Ogni attività può includere uno o più trigger, che consentono l'avvio dell'attività in vari modi. Se a un'attività sono associati più trigger, l'attività si avvierà al verificarsi di uno dei trigger stessi.

Impostazioni dei trigger

Ogni trigger contiene impostazioni che determinano i criteri per la sua attivazione. È possibile definire impostazioni avanzate aggiuntive per ogni trigger, come illustrato nella sezione Impostazioni avanzate seguente. Le impostazioni del trigger sono accessibili dalla finestra di dialogo Modifica trigger o Nuovo trigger, accessibile facendo clic sul pulsante Modifica o Nuovo nella scheda Trigger della finestra di dialogo Proprietà attività o Crea attività. Per ulteriori informazioni su come modificare le impostazioni dei trigger, vedere Modificare un'attività esistente o Pianificare un'attività.

Trigger

Nell'elenco seguente vengono descritti tutti i trigger e le relative impostazioni.

  • In base a una pianificazione

    Questo trigger determina l'esecuzione dell'attività in base a una pianificazione, che le impostazioni del trigger consentono di specificare. È possibile scegliere di pianificare l'attività in un orario oppure su base giornaliera o mensile. L'ora impostata è basata sul fuso orario impostato sul computer che esegue l'attività. Selezionare la casella di controllo Universale per impostare l'ora in base all'ora standard (Coordinated Universal Time) anziché in base al fuso orario specificato per il computer che esegue l'attività. Utilizzare l'impostazione Universale quando si desidera coordinare un set di attività in modo che vengano eseguite contemporaneamente in più fusi orari.

    Selezionare il pulsante di opzione Una sola volta per scegliere una data e un'ora per attivare l'attività.

    Selezionare il pulsante di opzione Ogni giorno per scegliere l'intervallo di ricorrenza per l'attività e la data e l'ora di avvio dell'attività. Un intervallo uguale a 1 determina una pianificazione giornaliera. Un intervallo uguale a 2 una pianificazione a giorni alterni. L'attività si avvierà ogni giorno all'ora specificata.

    Selezionare il pulsante di opzione Ogni settimana per scegliere l'intervallo di ricorrenza per l'attività, la data e l'ora di avvio dell'attività e i giorni della settimana in cui avviarla. Un intervallo uguale a 1 determina una pianificazione settimanale. Un intervallo uguale a 2 una pianificazione a settimane alterne. L'attività si avvierà all'ora specificata in ognuno dei giorni specificati.

    Selezionare il pulsante di opzione Ogni mese per scegliere i mesi in cui avviare l'attività, nonché le settimane del mese e i giorni della settimana per ogni mese in cui avviare l'attività. È inoltre possibile specificare di avviare un'attività l'ultimo giorno di ogni mese.

  • All'accesso

    Questo trigger determina l'esecuzione dell'attività quando un utente accede al computer. Le impostazioni del trigger consentono di specificare se l'attività deve essere attivata quando un utente qualsiasi o quando un utente specifico accede al computer.

  • All'avvio

    Questo trigger determina l'esecuzione dell'attività all'avvio del computer. Le uniche impostazioni per questo trigger sono le impostazioni avanzate illustrate nella sezione Impostazioni avanzate seguente.

  • Inattivo

    Questo trigger determina l'esecuzione dell'attività dopo che il computer entra in uno stato di inattività. È possibile specificare le impostazioni inattività dalla scheda Condizioni della finestra di dialogo Crea attività o Proprietà attività. Per ulteriori informazioni, vedere Condizioni delle attività.

  • Al verificarsi di un evento

    Questo trigger determina l'esecuzione dell'attività quando un evento specifico viene aggiunto a un registro eventi. È possibile scegliere di specificare impostazioni dei trigger di evento di base o personalizzate. Se si scelgono le impostazioni di base, ad attivare l'attività sarà un singolo evento da un registro eventi specifico. È possibile scegliere il registro eventi che contiene l'evento e il nome dell'autore dell'evento, nonché specificare l'identificatore dell'evento. Se si scelgono le impostazioni personalizzate, è possibile specificare una query di eventi XML o un filtro eventi personalizzato per eseguire una query sugli eventi che attiveranno l'attività. Per ulteriori informazioni sui filtri eventi, vedere la pagina relativa alla creazione di una vista personalizzata.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Alla creazione/modifica di attività

    Questo trigger determina l'esecuzione di un'attività quando viene creata e modificata. Le uniche impostazioni per questo trigger sono le impostazioni avanzate illustrate nella sezione Impostazioni avanzate seguente.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Alla connessione alla sessione utente

    Questo trigger determina l'esecuzione di un'attività alla connessione a una sessione utente dal computer locale o da una Connessione desktop remoto. Ad esempio, quando ci si connette a una sessione utente sul computer locale eseguendo un cambio di utente sul computer, questo trigger determinerà l'esecuzione dell'attività. Un'altra circostanza che può determinare l'esecuzione di un'attività è quando un utente si connette a una sessione utente utilizzando il programma Connessione desktop remoto da un computer remoto. Le impostazioni del trigger consentono di specificare se l'attività deve essere attivata quando un utente qualsiasi o quando un utente specifico si connette a una sessione utente.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Alla disconnessione alla sessione utente

    Questo trigger determina l'esecuzione di un'attività alla disconnessione di una sessione utente dal computer locale o da una Connessione desktop remoto. Ad esempio, quando ci si disconnette da una sessione utente sul computer locale eseguendo un cambio di utente sul computer, questo trigger determinerà l'esecuzione dell'attività. Un'altra circostanza che può determinare l'esecuzione di un'attività è quando un utente si disconnette da una sessione utente utilizzando il programma Connessione desktop remoto da un computer remoto. Le impostazioni del trigger consentono di specificare se l'attività deve essere attivata quando un utente qualsiasi o quando un utente specifico si disconnette da una sessione utente.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Al blocco della workstation

    Questo trigger determina l'esecuzione dell'attività quando il computer viene bloccato. Le impostazioni del trigger consentono di specificare se l'attività deve essere attivata quando un utente qualsiasi o quando un utente specifico blocca il computer.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Allo sblocco della workstation

    Questo trigger determina l'esecuzione dell'attività quando il computer viene sbloccato. Le impostazioni del trigger consentono di specificare se l'attività deve essere attivata quando un utente qualsiasi o quando un utente specifico sblocca il computer.

    Nota

    Questo trigger non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

Impostazioni avanzate

Nell'elenco seguente vengono descritte le impostazioni avanzate dei trigger.

  • Ritarda attività per o Ritarda attività fino a (ritardo casuale): Questa impostazione consente di specificare un periodo di tempo in base al quale ritardare l'esecuzione dell'attività, dopo l'attivazione. Se si utilizza un trigger temporizzato (In base a una pianificazione), il ritardo sarà un periodo di tempo casuale tra il momento dell'attivazione dell'attività e il momento specificato in questa impostazione. Se per un'attività è pianificata l'attivazione alle 13:00 e l'impostazione Ritarda attività fino a (ritardo casuale) è impostata su 5 minuti, l'attività verrà eseguita tra le 13:00 e le 13:05.

  • Ripeti l'attività ogni: Questa impostazione consente di impostare un intervallo temporale di ripetizione per l'attività. L'attività verrà eseguita, attenderà l'intervallo di tempo specificato e quindi verrà eseguita di nuovo. Questo ciclo continuerà fino al termine dell'intervallo.

  • Interrompi l'attività se viene eseguita per più di: Questa impostazione consente di interrompere le attività in corso impostando un limite alla durata consentita per l'esecuzione dell'attività, ovvero per l'esecuzione dell'azione.

  • Attiva: Questa impostazione consente di impostare una data e un'ora per l'attivazione del trigger. Una volta attivato, il trigger può determinare l'esecuzione dell'attività. L'ora si basa sul fuso orario impostato sul computer che esegue l'attività. Selezionare la casella di controllo Universale per impostare l'ora in base all'ora standard (Coordinated Universal Time) anziché in base al fuso orario specificato per il computer che esegue l'attività. Utilizzare l'impostazione Universale quando si desidera coordinare un set di attività in modo che vengano attivate contemporaneamente in più fusi orari.

  • Scadenza: Questa impostazione consente di impostare una data e un'ora per la scadenza del trigger. Dopo essere scaduto, il trigger non può determinare l'esecuzione dell'attività. L'ora si basa sul fuso orario impostato sul computer che esegue l'attività. Selezionare la casella di controllo Universale per impostare l'ora in base all'ora standard (Coordinated Universal Time) anziché in base al fuso orario specificato per il computer che esegue l'attività. Utilizzare l'impostazione Universale quando si desidera coordinare un set di attività in modo che scadano contemporaneamente in più fusi orari.

  • Attivata: Questa impostazione consente di attivare o disattivare l'attività. Un'attività attivata può essere eseguita, un'attività disattivata non può essere eseguita fino all'attivazione.

Ulteriori riferimenti

Pianificare un'attività


Azioni

Un azione dell'attività è ciò che avviene quando l'attività viene eseguita. A un'attività può essere associata un'azione singola o un massimo di 32 azioni. Ogni azione contiene impostazioni che determinano le modalità di esecuzione dell'azione. Le azioni di un'attività sono visualizzate nella scheda Azioni della finestra di dialogo Proprietà attività o Crea attività. Quando sono specificate più azioni, esse vengono eseguite in ordine sequenziale partendo dall'azione nella parte superiore dell'elenco nella scheda Azioni e terminando con l'azione nella parte inferiore dell'elenco stesso. È possibile modificare l'ordine nel quale le azioni vengono eseguite selezionando un'azione e facendo clic sul pulsante freccia SU o freccia GIÙ per spostare l'azione all'interno dell'elenco.

Nell'elenco seguente è inclusa una descrizione di ogni azione e le relazione impostazioni.

  • Avviare un programma

    Questa azione avvia un programma o uno script. Nella casella di testo Programma o script immettere il nome del programma o script che si desidera avviare. Se il programma o script accetta argomenti della riga di comando, è possibile specificarli nella casella di testo Aggiungi argomenti (facoltativo). Nella casella di testo Da (facoltativo) è possibile specificare la directory di lavoro per la riga di comando che esegue il programma o lo script. Questo dovrebbe essere il percorso del programma o del file script o il percorso dei file utilizzati dal file eseguibile.

  • Inviare un messaggio di posta elettronica

    Questa azione invia un messaggio di posta elettronica all'attivazione di un'attività. Nelle impostazioni dell'azione viene specificato l'indirizzo di posta elettronica da cui proviene il messaggio, l'indirizzo di posta elettronica cui il messaggio verrà inviato e il suo oggetto, il testo del messaggio ed eventuali allegati di posta elettronica. È necessario inoltre specificare il server SMTP utilizzato per inviare il messaggio.

    Nota

    Questa azione non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

  • Visualizzare un messaggio

    Questo azione mostra una finestra di messaggio con un messaggio e un titolo specificati. Le impostazioni dell'azione specificano il testo e il titolo della finestra di messaggio. Questa azione verrà avviata solo se l'opzione di sicurezza Esegui solo se l'utente è connesso è selezionata nella scheda Generale della finestra di dialogo Proprietà attività o Crea attività.

    Nota

    Questa azione non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.

Avviare un programma

Se un azione avvia un programma quando un'attività viene attivata, è necessario immettere il nome del programma o dello script e gli argomenti della riga di comando necessari per eseguire il programma o lo script. Nell'elenco seguente sono indicati i programmi di utilizzo più comune eseguibili da un'azione. Per ulteriori informazioni su ogni programma e sugli argomenti disponibili per ogni programma, al prompt dei comandi digitare il nome del programma seguito da /?.

Nota

La corretta esecuzione di un programma può richiedere privilegi elevati. Per informazioni su come specificare il contesto di sicurezza per un'attività, vedere Contesto di sicurezza delle attività.

Nome (localizzabile) Programma/script Argomenti

Eseguire un script

cscript.exe

Nota

Per eseguire uno script, è possibile specificare il nome del file script senza argomenti anziché specificare cscript.exe. L'host di script predefinito verrà utilizzato per eseguire lo script.

<file di script>

Copiare un file

robocopy

<file di origine> <file di destinazione>

Avviare un servizio

net

start <nome servizio>

Arrestare un servizio

net

stop <nome servizio>

Chiudere la sessione

shutdown

-s

Riavviare il sistema

shutdown

-r

Disconnettersi dal sistema

shutdown

-l

Pulitura disco

cleanmgr

/sagerun

Deframmentare un disco

defrag

<lettera di unità>

Controllare un disco

chkdsk

<lettera di unità>

Eseguire il mapping di un'unità

net

use <lettera di unità> <percorso di rete>

Connettersi a una rete remota

rasdial

<nome voce>

Disconnettersi da una rete remota

rasdial

<nome voce> /disconnect

Archiviare un registro eventi

wevtutil

Nota

Questo programma non è disponibile in sistemi operativi precedenti a Windows Vista®.

al <percorso registro>

Visualizzare una pagina Web

Qualsiasi browser installato

<indirizzo URL>

Ulteriori riferimenti

Trigger


Condizioni delle attività

Le condizioni controllano se un'attività è in esecuzione. Un'attività verrà eseguita se tutte le relative condizioni sono soddisfatte dopo l'attivazione dell'avvio dell'attività. Le condizioni sono suddivise in tre categorie: condizioni di inattività, condizioni di alimentazione e condizioni di rete. Le condizioni di un'attività sono visualizzate nella scheda Condizioni della finestra di dialogo Proprietà attività o Crea attività.

Condizioni di inattività

È possibile impostare una condizione che specifichi l'esecuzione dell'attività solo se il computer si trova in uno stato di inattività per un periodo di tempo specifico quando un trigger viene attivato. Quando si imposta questa condizione, si imposta inoltre il periodo di tempo di attesa (dopo l'attivazione dell'attività) prima che il computer entri in uno stato di inattività.

Il servizio Utilità di pianificazione verificherà se il computer è in uno stato di inattività ogni 15 minuti. Un computer è considerato in stato di inattività quando è in esecuzione uno screen saver. Se uno screen saver non è in esecuzione, il computer si considera in stato di inattività se l'utilizzo CPU è 0% e l'input o l'output del disco è uguale a 0% per il 90% degli ultimi quindici minuti e se durante questo intervallo di tempo non si verifica alcun input della tastiera del mouse. Una volta che il servizio Utilità di pianificazione rileva che il computer è in uno stato di inattività, attende solo l'input dell'utente per contrassegnare la fine dello stato di inattività.

Se un'attività è impostata per avviarsi solo se il computer è inattivo per 30 minuti e attende l'inattività del computer per 10 minuti, l'attività stessa si avvierà dopo 5 minuti solo se il computer è stato inattivo per 25 minuti prima del momento dell'attivazione del trigger. L'attività non si avvierà se il computer entra uno stato di inattività 5 minuti dopo l'attivazione del trigger.

Se la condizione Interrompi se il computer cessa di essere inattivo è selezionata per un'attività e l'attività è in esecuzione mentre il computer è in uno stato di inattività, l'esecuzione dell'attività terminerà quando il computer cesserà di essere inattivo. L'esecuzione dell'attività che viene interrotta da questa condizione riprenderà quando il computer entrerà nuovamente in uno stato di inattività se è selezionata la condizione Riavvia se lo stato di inattività riprende.

Condizioni di alimentazione

È possibile impostare una condizione che specifichi l'esecuzione dell'attività solo se il computer è alimentato da rete elettrica (non a batteria) quando il trigger dell'attività viene attivato. Se questa condizione è impostata, è inoltre possibile impostare una condizione per terminare l'attività se il computer passa all'alimentazione a batteria. Se per un'attività sono impostate entrambe le condizioni, si ha la garanzia che l'attività verrà eseguita solo quando il computer è alimentato da rete elettrica.

È inoltre possibile impostare una condizione che indica all'attività di riattivare il computer dalla modalità sospensione per eseguire l'attività quando il trigger è attivato. Prima di impostare la condizione per la riattivazione del computer per eseguire l'attività, assicurarsi che l'attività non determini la riattivazione in momenti non adeguati.

Nota

Quando il servizio Utilità di pianificazione riattiva il computer per eseguire un'attività, lo schermo potrebbe rimanere spento anche se il computer non è più in modalità sospensione o ibernazione. Lo schermo si accenderà quando in Windows viene rilevato che un utente è tornato a utilizzare il computer.

Condizioni di rete

È possibile impostare una condizione per eseguire l'attività se è disponibile una connessione alla rete denominata specifica oppure una qualsiasi connessione di rete quando il trigger dell'attività viene attivato. Se l'esecuzione dell'azione dell'attività richiede una connessione di rete, impostare questa condizione.

Nota

Questa condizione non è disponibile per le attività configurate per Windows Server 2003, Windows XP o Windows 2000.


Impostazioni delle attività

Le impostazioni delle attività specificano in che modo un'attività viene eseguita, arrestata o eliminata. Le impostazioni di un'attività sono visualizzate nella scheda Impostazioni della finestra di dialogo Proprietà attività o Crea attività. Nell'elenco seguente sono incluse le descrizioni delle impostazioni delle attività.

  • Consenti esecuzione attività su richiesta

    È possibile specificare se un'attività può essere eseguita manualmente prima o dopo il momento pianificato per la sua esecuzione, consentendone l'esecuzione su richiesta. L'impostazione predefinita consente a un utente di eseguire l'attività in qualsiasi momento su richiesta. Per ulteriori informazioni su come eseguire un'attività su richiesta, vedere Eseguire un'attività su richiesta.

    Nota

    Questa impostazione non è disponibile per le attività configurate per Windows 2003, Windows XP o Windows 2000.

  • Avvia attività non appena possibile quando un avvio pianificato non è stato eseguito

    Se questa impostazione è selezionata, il servizio Utilità di pianificazione avvierà l'attività se la sua esecuzione è stata pianificata per un determinato momento, ma per qualche motivo (ad esempio, il computer è stato spento o il servizio Utilità di pianificazione era occupato) l'attività non è stata attivata. Il servizio Utilità di pianificazione non avvierà l'attività immediatamente dopo la mancata esecuzione. Per impostazione predefinita il servizio attende dieci minuti prima di avviare l'attività non eseguita.

    Nota

    Questa impostazione non è disponibile per le attività configurate per Windows 2003, Windows XP o Windows 2000.

  • Se l'attività non riesce, riavvia ogni: <periodo>

    Utilizzare questa impostazione per riavviare un'attività se la sua esecuzione non riesce (l'ultima esecuzione dell'attività non è riuscita). Specificare l'intervallo temporale tra i tentativi di riavvio dell'attività e il numero di tentativi di riavvio dell'attività.

    Nota

    Questa impostazione non è disponibile per le attività configurate per Windows 2003, Windows XP o Windows 2000.

  • Interrompi l'attività se viene eseguita per più di: <periodo>

    Questa impostazione consente di limitare il periodo di tempo durante il quale è consentita l'esecuzione di un'attività. Utilizzare questa impostazione per limitare attività la cui esecuzione potrebbe richiedere un periodo di tempo prolungato, determinando problemi per l'utente.

  • Se l'attività non termina quando richiesto, forzarne l'arresto

    Se questa impostazione è selezionata, verrà forzata l'interruzione dell'attività se essa non risponde a una richiesta di interruzione.

    Nota

    Questa impostazione non è disponibile per le attività configurate per Windows 2003, Windows XP o Windows 2000.

  • Se non è previsto che l'attività venga eseguita di nuovo, eliminala dopo: <periodo>

    Se questa impostazione è selezionata, il servizio Utilità di pianificazione eliminerà automaticamente l'attività se non è stato pianificato di rieseguirla. Il servizio Utilità di pianificazione attenderà il periodo specificato prima di eliminare l'attività. Se questa impostazione non è selezionata, il servizio Utilità di pianificazione non eliminerà automaticamente l'attività. L'attività deve includere almeno un trigger con una data di scadenza per selezionare questa impostazione.

  • Se l'attività è già in esecuzione, si applica la regola seguente:

    È necessario specificare in che modo il servizio Utilità di pianificazione deve eseguire l'attività se un'altra istanza dell'attività è già in esecuzione:

    • Non avviare una nuova istanza: Il servizio Utilità di pianificazione non eseguirà la nuova istanza dell'attività e non terminerà l'istanza già in esecuzione.

    • Esegui una nuova istanza in parallelo: Il servizio Utilità di pianificazione eseguirà la nuova istanza dell'attività in parallelo con l'istanza già in esecuzione.

    • Accoda una nuova istanza: Il servizio Utilità di pianificazione aggiungerà la nuova istanza dell'attività alla coda delle attività che verranno eseguite dal servizio. Il servizio non terminerà l'istanza già in esecuzione.

    • Arresta l'istanza esistente: Il servizio Utilità di pianificazione terminerà l'istanza dell'attività già in esecuzione ed eseguirà la nuova istanza dell'attività.

    Nota

    Il valore di questa impostazione è Non avviare una nuova istanza per le attività configurate per Windows 2003, Windows XP o Windows 2000.

Ulteriori riferimenti

Pianificare un'attività

Modificare un'attività esistente


Procedure relative all'Utilità di pianificazione

Negli argomenti dell'elenco seguente sono incluse informazioni e procedure dettagliate che illustrano l'utilizzo dell'interfaccia utente dell'Utilità di pianificazione o di una riga di comando per pianificare e gestire le attività.

  • Avviare l'Utilità di pianificazione: Descrive come avviare lo snap-in di MMC dell'Utilità di pianificazione e come individuare lo strumento da riga di comando utilizzato per pianificare e gestire le attività (Schtasks.exe).

  • Pianificare un'attività: Descrive come pianificare un'attività utilizzando la finestra di dialogo Crea attività, la Creazione guidata attività di base o una riga di comando.

  • Gestire le attività: Collegamenti ad argomenti che illustrano come gestire le attività. Ad esempio modificare, eseguire, terminare, attivare o importare un'attività.

  • Gestire o creare un'attività in un computer remoto: Descrive come utilizzare l'interfaccia utente dell'Utilità di pianificazione o una riga di comando per connettersi a un computer remoto e gestire o creare attività nel computer stesso.

  • Visualizzare tutte le attività in esecuzione: Descrive come visualizzare facilmente tutte le attività in esecuzione su un computer.

  • Visualizzare le proprietà e la cronologia delle attività: Descrive come visualizzare la finestra di dialogo Proprietà attività per visualizzare cronologia e proprietà di un'attività.

Ulteriori riferimenti

Risolvere i problemi relativi all'Utilità di pianificazione


Avviare l'Utilità di pianificazione

È possibile avviare lo snap-in di MCC dell'Utilità di pianificazione utilizzando un singolo comando dalla riga di comando o utilizzando l'interfaccia di Windows. L'Utilità di pianificazione può inoltre essere avviata facendo doppio clic sul file Taskschd.msc nella cartella %SYSTEMROOT%\System32.

Per eseguire l'Utilità di pianificazione tramite l'interfaccia di Windows

  1. Fare clic sul pulsante Start.

  2. Fare clic su Pannello di controllo.

  3. Fare clic su Sistema e manutenzione.

  4. Fare clic su Strumenti di amministrazione.

  5. Fare doppio clic su Utilità di pianificazione.
Per eseguire l'Utilità di pianificazione dalla riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Al prompt dei comandi digitare Taskschd.msc.

Lo strumento da riga di comando Schtasks.exe consente a un utente di completare molte delle stesse operazioni eseguibili utilizzando lo snap-in di MMC dell'Utilità di pianificazione. Questo strumento consente a un utente di creare, eliminare, eseguire query, modificare, eseguire e terminare attività pianificate su un computer locale o remoto. Questo strumento si trova nella cartella %SYSTEMROOT%\System32. Digitare Schtasks.exe /? da una finestra del prompt dei comandi per visualizzare la Guida relativa allo strumento.


Pianificare un'attività

È possibile pianificare un'attività creando un'attività di base mediante Creazione guidata attività di base o creando un'attività senza la procedura guidata e specificando le informazioni relative nella finestra di dialogo Crea attività. Le procedure seguenti illustrano come creare un attività utilizzando entrambe le modalità. Se si crea un'attività di base utilizzando Creazione guidata attività di base, la maggior parte delle proprietà dell'attività saranno impostate sui valori predefiniti e verrà scelto un trigger per l'attività tra i trigger di utilizzo più comune. Per ulteriori informazioni sui trigger, vedere Trigger.

È possibile importare un'attività definita in un file XML. Per ulteriori informazioni, vedere Importare un'attività.

Per informazioni sulla creazione di un'attività su un computer remoto, vedere Gestire o creare un'attività in un computer remoto.

Pianificare un'attività

  • Tramite l'interfaccia di Windows

  • Tramite riga di comando
Per creare un'attività di base tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console nella quale si desidera creare l'attività. Per ulteriori informazioni, su come creare l'attività in una nuova cartella attività, vedere Creare una nuova cartella attività.

  3. Fare clic su Crea attività di base nel riquadro Azioni.

  4. Seguire le istruzioni visualizzate durante la creazione guidata.
Per creare un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console nella quale si desidera creare l'attività. Per creare l'attività in una nuova cartella attività, vedere Creare una nuova cartella attività per creare la cartella.

  3. Fare clic su Crea attività nel riquadro Azioni.

  4. Nella scheda Generale della finestra di dialogo Crea attività immettere un nome per l'attività. Compilare o modificare eventuali altre proprietà nella scheda Generale. Per ulteriori informazioni su queste proprietà, vedere Proprietà generali delle attività.

  5. Nella scheda Trigger della finestra di dialogo Crea attività fare clic sul pulsante Nuovo per creare un trigger per l'attività e specificare le informazioni sul trigger nella finestra di dialogo Nuovo trigger. Per ulteriori informazioni sui trigger, vedere Trigger.

  6. Nella scheda Azioni della finestra di dialogo Crea attività fare clic sul pulsante Nuovo per creare un'azione per l'attività e specificare le informazioni sull'azione nella finestra di dialogo Nuova operazione. Per ulteriori informazioni sulle azioni, vedere Azioni.

  7. (Facoltativo) Nella scheda Condizioni della finestra di dialogo Crea attività immettere le condizioni per l'attività. Per ulteriori informazioni sulle condizioni, vedere Condizioni delle attività.

  8. (Facoltativo) Nella scheda Impostazioni della finestra di dialogo Crea attività immettere le impostazioni per l'attività. Per ulteriori informazioni sulle impostazioni, vedere Impostazioni delle attività.

  9. Fare clic sul pulsante OK nella finestra di dialogo Crea attività.
Per creare un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

        schtasks /Create [/S <system> [/U <username> [/P [<password>]]]]
    [/RU <username> [/RP <password>]] /SC <schedule> [/MO <modifier>] [/D <day>]
    [/M <months>] [/I <idletime>] /TN <taskname> /TR <taskrun> [/ST <starttime>]
    [/RI <interval>] [ {/ET <endtime> | /DU <duration>} [/K] [/XML <xmlfile>] [/V1]]
    [/SD <startdate>] [/ED <enddate>] [/IT] [/Z] [/F]

Per visualizzare la Guida per questo comando, digitare:

schtasks /Create /?

Ulteriori considerazioni

  • Se l'eccezione Gestione remota attività pianificate è disattivata e l'eccezione Condivisione file e stampanti è attivata e se il servizio Registro di sistema remoto è in esecuzione, nel computer remoto verrà creata un'attività V1 anche se il parametro V1 non viene specificato. Il parametro V1 specifica che l'attività è visibile per i sistemi precedenti.

Ulteriori riferimenti

Gestire o creare un'attività in un computer remoto

Notazione di sintassi della riga di comando


Gestire le attività

Nell'elenco seguente sono inclusi gli argomenti che illustrano come gestire le attività utilizzando l'interfaccia di Windows o una riga di comando.

  • Modificare un'attività esistente

  • Eliminare un'attività

  • Eliminare una cartella attività

  • Creare una nuova cartella attività

  • Importare un'attività

  • Esportare un'attività

  • Eseguire un'attività su richiesta

  • Terminare un'attività in esecuzione

  • Attivare un'attività per l'esecuzione

  • Disattivare l'esecuzione di un'attività


Modificare un'attività esistente

È possibile modificare un'attività esistente modificandone le proprietà generali, i trigger, le azioni, le condizioni o le impostazioni. Per ulteriori informazioni sull'eliminazione di un'attività, vedere Eliminare un'attività.

Modificare un'attività esistente

  • Tramite l'interfaccia di Windows

  • Tramite riga di comando
Per modificare un'attività esistente tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera modificare.

  3. Nella finestra della console fare clic sull'attività che si desidera modificare.

  4. Fare clic su Proprietà nel riquadro Azione. Verrà visualizzata la finestra di dialogo Proprietà attività.

  5. Nella finestra di dialogo Proprietà attività:

    1. Fare clic sulla scheda Generale per visualizzare le proprietà generali dell'attività che è possibile modificare. Per ulteriori informazioni su queste proprietà, vedere Proprietà generali delle attività.

    2. Fare clic sulla scheda Trigger per visualizzare i trigger dell'attività. Selezionare un trigger dall'elenco dei trigger nella scheda e fare clic sul pulsante Modifica per modificare le impostazioni dei trigger selezionati, fare clic sul pulsante Nuovo per creare un nuovo trigger oppure fare clic sul pulsante Elimina per eliminare il trigger selezionato. Per ulteriori informazioni sui trigger, vedere Trigger.

    3. Fare clic sulla scheda Azioni per visualizzare le azioni dell'attività. Selezionare un'azione dall'elenco delle azioni nella scheda e fare clic sul pulsante Modifica per modificare le impostazioni delle azioni selezionate, fare clic sul pulsante Nuovo per creare una nuova azione oppure fare clic sul pulsante Elimina per eliminare l'azione selezionata. Per ulteriori informazioni sulle azioni, vedere Azioni.

    4. Fare clic sulla scheda Condizioni per visualizzare le condizioni dell'attività che è possibile modificare. Per ulteriori informazioni su queste condizioni, vedere Condizioni delle attività.

    5. Fare clic sulla scheda Impostazioni per visualizzare le impostazioni dell'attività che è possibile modificare. Per ulteriori informazioni su queste impostazioni, vedere Impostazioni delle attività.

  6. Fare clic sul pulsante OK nella finestra di dialogo Proprietà attività al termine della modifica dell'attività. In questo modo, l'attività verrà registrata di nuovo. Se l'attività prevede un'azione che viene attivata al momento della registrazione dell'attività stessa, tale azione verrà eseguita. Se non sono state apportate modifiche all'attività, fare clic su Annulla.
Per modificare un'attività esistente tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Change [/S <system> [/U <username> [/P [<password>]]]]
/TN <taskname> { [/RU <runasuser] [/RP <runaspassword>] [/TR <taskrun>]
[/ST <starttime>] [/RI <interval>] [ {/ET <endtime> | /DU <duration>} [/K] ]
[/SD <startdate>] [/ED <enddate>] [/ENABLE | /DISABLE] [/IT] [/Z] }

Per visualizzare la Guida per questo comando, digitare:

schtasks /Change /?

Ulteriori riferimenti

Eliminare un'attività

Gestire o creare un'attività in un computer remoto

Notazione di sintassi della riga di comando


Eliminare un'attività

È possibile eliminare un attività da una cartella attività quando non si desidera più eseguire l'attività. Per arrestare l'esecuzione di un'attività per un determinato periodo di tempo, senza però eliminare definitivamente l'attività, è possibile disattivare l'attività. Per ulteriori informazioni, vedere Disattivare l'esecuzione di un'attività.

Per eliminare un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività da eliminare.

  3. Nella finestra della console fare clic sull'attività che si desidera eliminare.

  4. Fare clic su Elimina nel riquadro Azioni.

  5. Nella finestra di dialogo Conferma eliminazione fare clic su Sì.
Per eliminare un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Delete [/S <system> [/U <username> [/P [<password>]]]]
/TN <taskname> [/F]

Per visualizzare la Guida per questo comando, digitare:

schtasks /Delete /?

Ulteriori riferimenti

Esportare un'attività

Disattivare l'esecuzione di un'attività

Notazione di sintassi della riga di comando


Eliminare una cartella attività

È possibile eliminare una cartella attività utilizzata per memorizzare le attività se essa è vuota. È necessario eliminare tutte le attività e le cartelle in una cartella attività prima che sia possibile eliminare la cartella. Non è possibile eliminare la cartella Libreria Utilità di pianificazione in quanto si tratta della cartella attività radice. Non è possibile rinominare le cartelle attività. Per ulteriori informazioni sull'eliminazione delle attività in una cartella attività, vedere Eliminare un'attività.

Per eliminare una cartella attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che si desidera eliminare.

  3. Fare clic su Elimina cartella nel riquadro Azioni.

  4. Nella finestra di dialogo Conferma eliminazione fare clic su Sì.


Creare una nuova cartella attività

È possibile creare una nuova cartella attività per memorizzare le attività correlate e altre cartelle attività. Non è possibile rinominare una cartella attività dopo averla creata. Per ulteriori informazioni sull'eliminazione di una cartella attività, vedere Eliminare una cartella attività.

Per informazioni sulla creazione di un'attività in una cartella attività, vedere Pianificare un'attività.

Per creare una nuova cartella in cui memorizzare attività correlate tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console nella quale si desidera creare una cartella. Se ad esempio si desidera creare una sottocartella nella cartella attività radice, fare clic sulla cartella Libreria Utilità di pianificazione.

  3. Scegliere Nuova cartella nel riquadro Azioni.

  4. Nella finestra di dialogo Immettere il nome della nuova cartella digitare il nome della cartella.

  5. Fare clic sul pulsante OK nella finestra di dialogo Immettere il nome della nuova cartella.


Importare un'attività

È possibile importare un'attività, operazione che aggiungerà l'attività importata a una cartella attività consentendo di utilizzare ed eseguire l'attività. Le proprietà, i trigger, le azioni, le condizioni e le impostazioni di un'attività sono rappresentati in un file XML. Il codice XML di un'attività è definito dallo schema dell'Utilità di pianificazione. Per un esempio del codice XML che rappresenta un'attività, esportare un'attività e visualizzare il file XML salvato. Per ulteriori informazioni sull'esportazione delle attività, vedere Esportare un'attività.

Per importare un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console in cui si desidera importare l'attività. Per importare l'attività in una nuova cartella attività, vedere Creare una nuova cartella attività per creare la cartella.

  3. Fare clic su Importa attività nel riquadro Azioni.

  4. Verrà visualizzata la finestra di dialogo Apri. Individuare il file XML dell'attività che si desidera importare e fare clic sul pulsante Apri.

  5. Verrà visualizzata la finestra di dialogo Crea attività. Le schede Generale, Trigger, Azioni, Condizioni e Impostazioni nella finestra di dialogo Crea attività contengono tutte le informazioni relative all'attività importata.

  6. Fare clic sul pulsante OK nella finestra di dialogo Crea attività.

Per importare un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Create [/S <system> [/U <username> [/P [<password>]]]]
/XML <xmlfile> /TN <taskname>

Per visualizzare la Guida per questo comando, digitare:

schtasks /Create /?

Ulteriori riferimenti

Esportare un'attività

Modificare un'attività esistente

Notazione di sintassi della riga di comando


Esportare un'attività

È possibile esportare un'attività in modo che venga memorizzata in un file XML che può essere importato da altri utenti e computer. Le proprietà, i trigger, le azioni, le condizioni e le impostazioni di un'attività sono rappresentati in un file XML. Il codice XML di un'attività è definito dallo schema dell'Utilità di pianificazione. Per ulteriori informazioni sull'importazione delle attività, vedere Importare un'attività.

Per esportare un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera esportare.

  3. Nella finestra della console fare clic sull'attività che si desidera esportare.

  4. Fare clic su Esporta nel riquadro Azioni. Verrà visualizzata la finestra di dialogo Salva con nome.

  5. Nella finestra di dialogo Salva con nome individuare la posizione in cui si desidera salvare l'attività e quindi fare clic su Salva.

Per esportare un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Query [/S <system> [/U <username> [/P [<password>]]]]
/XML /TN <taskname>

  3. Il codice XML per l'attività viene visualizzato al prompt dei comandi. Copiare il codice XML per l'attività e incollarlo in un file XML vuoto. Quando il file XML verrà salvato, includerà la definizione dell'attività e potrà essere importato.

Per visualizzare la Guida per questo comando, digitare:

schtasks /Query /?

Ulteriori riferimenti

Importare un'attività

Notazione di sintassi della riga di comando


Eseguire un'attività su richiesta

È possibile eseguire un'attività prima o dopo il momento in cui ne è pianificata l'esecuzione. Questo consente di avviare le azioni dell'attività su richiesta. È necessario disporre delle autorizzazioni corrette per eseguire determinate attività. Per ulteriori informazioni, vedere Contesto di sicurezza delle attività. È possibile eseguire un'attività su richiesta solo se l'attività è attivata e l'impostazione Consenti esecuzione attività su richiesta è selezionata per l'attività. Per informazioni sull'attivazione di un'attività, vedere Attivare un'attività per l'esecuzione. Per ulteriori informazioni sulle impostazioni delle attività, vedere Impostazioni delle attività.

Per eseguire un'attività su richiesta tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera eseguire.

  3. Nella finestra della console fare clic sull'attività che si desidera eseguire.

  4. Fare clic su Esegui nel riquadro Azioni.
Per eseguire un'attività su richiesta tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Run [/S <system> [/U <username> [/P [<password>]]]] /TN <taskname>

Per visualizzare la Guida per questo comando, digitare:

schtasks /Run /?

Ulteriori riferimenti

Terminare un'attività in esecuzione

Visualizzare tutte le attività in esecuzione

Notazione di sintassi della riga di comando


Terminare un'attività in esecuzione

È possibile terminare un'operazione in esecuzione impedendo all'attività il completamento delle relative azioni. Questo termina l'attività mentre è in corso il completamento di un'azione. Solo per le attività con l'impostazione Se l'attività in esecuzione non termina quando richiesto, forzarne l'arresto selezionata verrà forzato l'arresto se esse non terminano quando si tenta di arrestarle. Per ulteriori informazioni sulle impostazioni, vedere Impostazioni delle attività.

È necessario disporre delle autorizzazioni corrette per terminare determinate attività. Per ulteriori informazioni, vedere Contesto di sicurezza delle attività.

Per terminare un'attività in esecuzione tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera terminare.

  3. Nella finestra della console fare clic sull'attività che si desidera terminare.

  4. Fare clic su Fine nel riquadro Azioni.

  5. Nella finestra di dialogo Conferma termine attività fare clic su Sì.
Nota

È inoltre possibile terminare un'attività facendo clic su Visualizza tutte le attività in esecuzione nel riquadro Azioni, selezionando un'attività nella finestra di dialogo Attività in esecuzione e quindi facendo clic sul pulsante Termina attività nella finestra di dialogo Attività in esecuzione.

Per terminare un'attività in esecuzione tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /End [/S <system> [/U <username> [/P [<password>]]]] /TN taskname

Per visualizzare la Guida per questo comando, digitare:

schtasks /End /?

Ulteriori riferimenti

Visualizzare tutte le attività in esecuzione

Notazione di sintassi della riga di comando


Attivare un'attività per l'esecuzione

Quando un'attività è disattivata, il che ne interrompe l'esecuzione, è possibile attivarla in modo che venga eseguita a richiesta o quando ne è pianificata l'esecuzione.

Per attivare un'attività per l'esecuzione tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera attivare.

  3. Nella finestra della console fare clic sull'attività che si desidera attivare.

  4. Fare clic su Abilita nel riquadro Azioni. Il comando Abilita sarà disponibile nel riquadro Azioni solo se l'attività è disattivata.
Per attivare un'attività per l'esecuzione tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Change [/S <system> [/U <username> [/P [<password>]]]]
/TN <taskname> [/ENABLE]

Per visualizzare la Guida per questo comando, digitare:

schtasks /Change /?

Ulteriori riferimenti

Eseguire un'attività su richiesta

Disattivare l'esecuzione di un'attività

Notazione di sintassi della riga di comando


Disattivare l'esecuzione di un'attività

Per terminare l'esecuzione di un'attività per un determinato intervallo di tempo, è possibile disattivare l'attività. L'attività può essere attivata in seguito in modo che ne sia consentita l'esecuzione. Per ulteriori informazioni, vedere Attivare un'attività per l'esecuzione.

Per disattivare l'esecuzione di un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera disattivare.

  3. Nella finestra della console fare clic sull'attività che si desidera disattivare.

  4. Fare clic su Disabilita nel riquadro Azioni. Il comando Disabilita sarà disponibile nel riquadro Azioni solo se l'attività è attivata.
Per disattivare l'esecuzione di un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    schtasks /Change [/S <system> [/U <username> [/P [<password>]]]]
/TN <taskname> /DISABLE

Per visualizzare la Guida per questo comando, digitare:

schtasks /Change /?

Ulteriori riferimenti

Eseguire un'attività su richiesta

Attivare un'attività per l'esecuzione

Notazione di sintassi della riga di comando


Gestire o creare un'attività in un computer remoto

È possibile creare o gestire attività in un computer remoto utilizzando l'interfaccia utente dell'Utilità di pianificazione per connettersi a un computer remoto. È necessario specificare il nome o l'indirizzo IP del computer cui si desidera connettersi. È possibile connettersi a computer remoti che eseguono Windows Server® 2008, Windows Vista®, Windows Server 2003, Windows XP o Windows 2000 e quindi, una volta connessi, creare o gestire attività nel computer remoto come si farebbe nel computer locale. Le credenziali utente utilizzate per connettersi al computer remoto devono essere quelle di un membro del gruppo Administrators sul computer remoto.

Se ci si connette a un computer remoto che esegue Microsoft Windows Vista o Windows Server 2008 da un computer che esegue Microsoft Windows Vista o Windows Server 2008, è necessario attivare l'eccezione del firewall Gestione remota attività pianificate nel computer remoto. Per consentire questa eccezione fare clic sul pulsante Start, scegliere Pannello di controllo, Sicurezza, Consenti programma con Windows Firewall e quindi selezionare la casella di controllo Gestione remota attività pianificate. Quindi fare clic sul pulsante OK nella finestra di dialogo Impostazioni di Windows Firewall.

Se ci si connette a un computer remoto che esegue Windows XP o Windows Server 2003 da un computer che esegue Microsoft Windows Vista o Windows Server 2008, è necessario attivare l'eccezione del firewall Condivisione file e stampanti nel computer remoto. Per consentire questa eccezione fare clic sul pulsante Start, scegliere Pannello di controllo, fare doppio clic su Windows Firewall, selezionare la scheda Eccezioni e quindi selezionare l'eccezione firewall Condivisione file e stampanti. Quindi fare clic sul pulsante OK nella finestra di dialogo Windows Firewall.

Gestire o creare un'attività in un computer remoto

  • Tramite l'interfaccia di Windows

  • Tramite riga di comando
Per creare o gestire un'attività su un computer remoto tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Assicurarsi che il nodo dell'Utilità di pianificazione sia selezionato nell'albero della console. Fare clic su Connetti a un altro computer nel riquadro Azioni. Verrà visualizzata la finestra di dialogo Selezione computer.

  3. Nella finestra di dialogo Selezione computer fare clic sul pulsante di opzione Altro computer.

  4. Immettere il nome o l'indirizzo IP del computer remoto nella casella di testo accanto al pulsante di opzione Altro computer o fare clic sul pulsante Sfoglia per cercare un computer remoto.

  5. (Facoltativo) È possibile connettersi al computer remoto utilizzando credenziali diverse da quelle dell'utente corrente. Selezionare la casella di controllo Connetti come altro utente e quindi fare clic sul pulsante Imposta utente. Immettere il nome utente e la password delle credenziali utente che si desidera utilizzare.

  6. Quando un computer remoto è specificato, fare clic sul pulsante OK nella finestra di dialogo Selezione computer.

  7. Si è ora connessi al computer remoto. È possibile creare o gestire attività (eseguire, terminare, attivare, disattivare, creare, eliminare, visualizzare, importare ed esportare attività) sul computer remoto utilizzando le stesse procedure che verrebbero utilizzate se l'Utilità di pianificazione fosse connessa al computer locale. Per ulteriori informazioni su come creare o gestire un'attività, vedere Procedure relative all'Utilità di pianificazione.
Per creare o gestire un'attività su un computer remoto tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Utilizzare lo strumento Schtasks.exe per gestire o creare un'attività, nonché specificare il nome o l'indirizzo IP del computer remoto a cui si desidera connettersi nell'argomento /S sistema, il nome utente utilizzato per la connessione al computer remoto nell'argomento /U nomeutente e la password per il nomeutente nell'argomento /P password. Per assistenza sull'utilizzo di Schtasks.exe, digitare uno del comandi seguenti:

    • schtasks /Create /?

    • schtasks /Run /?

    • schtasks /End /?

    • schtasks /Delete /?

    • schtasks /Change /?

Ulteriori riferimenti

Procedure relative all'Utilità di pianificazione

Gestire le attività

Notazione di sintassi della riga di comando


Visualizzare tutte le attività in esecuzione

È possibile visualizzare tutte le attività in esecuzione su un computer nella finestra di dialogo Attività in esecuzione, che consente di visualizzare, per ogni attività, il momento di avvio, da quanto essa è in esecuzione e l'azione eseguita. È inoltre possibile terminare un'attività in esecuzione dalla finestra di dialogo Attività in esecuzione.

Per visualizzare tutte le attività in esecuzione tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Fare clic su Visualizza tutte le attività in esecuzione nel riquadro Azioni. Verrà visualizzata la finestra di dialogo Attività in esecuzione.


Visualizzare le proprietà e la cronologia delle attività

È possibile visualizzare le proprietà di un'attività per reperire informazioni relative all'attività quali nome, descrizione, opzioni di sicurezza, trigger, azioni, condizioni e impostazioni. È inoltre possibile visualizzare, insieme alle proprietà, la cronologia di un'attività. La cronologia di un'attività viene rilevata tramite eventi nel registro eventi di Microsoft-Windows-TaskScheduler. Gli eventi vengono generati quando un attività viene avviata, eseguita, quando la sua esecuzione termina, nonché in altre situazioni, per tenere traccia della cronologia dell'attività. Nella cronologia dell'attività vengono rilevati anche gli errori correlati a un'attività. Per informazioni sull'interpretazione degli eventi nella cronologia dell'attività, vedere la pagina relativa alle proprietà degli eventi (http://go.microsoft.com/fwlink/?LinkId=70217).

Per visualizzare le proprietà e la cronologia di un'attività tramite l'interfaccia di Windows

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Individuare e fare clic sulla cartella attività nell'albero della console che contiene l'attività che si desidera visualizzare.

  3. Nella finestra della console fare clic sull'attività che si desidera visualizzare.

  4. Fare clic su Proprietà nel riquadro Azioni. Verrà visualizzata la finestra di dialogo Proprietà attività.

  5. Nella finestra di dialogo Proprietà attività le proprietà dell'attività si trovano nelle schede Generale, Attivazione, Azioni, Condizioni e Impostazioni. Fare clic su una scheda per visualizzare le proprietà.

  6. Fare clic sulla scheda Cronologia per visualizzare la cronologia dell'attività.

    • La cronologia delle attività può essere attivata o disattivata. Nel riquadro Azioni fare clic sull'opzione per disabilitare la cronologia di tutte le attività o sull'opzione per abilitarla per cambiare la visualizzazione della cronologia delle attività.

    • Fare clic su un evento nell'elenco degli eventi della scheda Cronologia per visualizzare la descrizione dell'evento.
Per visualizzare le proprietà e la cronologia di un'attività tramite riga di comando

  1. Aprire una finestra del prompt dei comandi. Per aprire un prompt dei comandi, fare clic sul pulsante Start, scegliere Tutti i programmi, Accessori e quindi Prompt dei comandi.

  2. Digitare quanto segue:

    Schtasks /Query /FO LIST /V

  3. Per visualizzare la Guida per questo comando, digitare:

    schtasks /Query /?

Ulteriori riferimenti

Modificare un'attività esistente

Proprietà generali delle attività

Trigger

Azioni

Condizioni delle attività

Impostazioni delle attività


Configurare le informazioni sull'account di AT Service

Il file eseguibile at.exe pianifica l'esecuzione di comandi e programmi su un computer in un'ora e in una data specificate, analogamente all'Utilità di pianificazione. L'Utilità di pianificazione e l'eseguibile schtasks.exe sostituiscono at.exe. Tutte le attività create utilizzando l'eseguibile at.exe devono essere eseguite utilizzando lo stesso account. Per impostazione predefinita questo account è l'account di sistema locale, ma è possibile modificare questa impostazione configurando le informazioni relative all'account di AT Service.

Per configurare le informazioni relative all'account di AT Service

  1. Se l'Utilità di pianificazione non è aperta, avviarla. Per ulteriori informazioni, vedere Avviare l'Utilità di pianificazione.

  2. Fare clic su Configurazione account servizio AT nel riquadro Azione.

  3. Nella finestra di dialogo Configurazione account servizio AT selezionare Account del servizio o Account per scegliere l'account che verrà utilizzato per eseguire le attività pianificate con l'eseguibile at.exe. Se si seleziona Account sarà successivamente necessario specificare una password per l'account.

  4. Fare clic sul pulsante OK nella finestra di dialogo Configurazione account servizio AT.


Risolvere i problemi relativi all'Utilità di pianificazione

Se si verificano problemi nella pianificazione delle attività o nell'ottenere una corretta esecuzione delle attività, verificare innanzitutto che il servizio Utilità di pianificazione sia in esecuzione. È possibile verificare che il servizio è in esecuzione facendo clic sul pulsante Start, scegliendo Pannello di controllo, Sistema e manutenzione, Strumenti di amministrazione e quindi facendo clic su Servizi e verificando che lo stato del servizio Utilità di pianificazione sia Avviato.

Nota

Non è possibile utilizzare il servizio Utilità di pianificazione quando il computer è in esecuzione in modalità provvisoria.

Informazioni aggiornate sulla risoluzione dei problemi possono essere disponibili online sul sito Web relativo alla risoluzione dei problemi dell'Utilità di pianificazione.

Per informazioni su un evento o un messaggio di errore correlato all'Utilità di pianificazione, vedere la pagina relativa al centro eventi e messaggi di errore.

Un'attività non viene eseguita quando previsto

Se un'attività pianificata non viene eseguita quando previsto, verificare che l'attività sia attivata e verificare inoltre i trigger per l'attività per accertarsi che siano impostati correttamente. Per ulteriori informazioni, vedere Attivare un'attività per l'esecuzione. Per ulteriori informazioni sull'aggiornamento dei trigger di un'attività, vedere Modificare un'attività esistente. Inoltre, verificare la cronologia dell'attività per visualizzare l'avvio dell'attività e controllare eventuali errori. Per ulteriori informazioni, vedere Visualizzare le proprietà e la cronologia delle attività.

Un'attività verrà eseguita solo se tutte le relative condizioni sono soddisfatte. È possibile impostare le condizioni di un'attività nella scheda Condizioni della finestra di dialogo Proprietà attività. Per ulteriori informazioni, vedere Condizioni delle attività.

Alcune attività verranno eseguite solo all'accesso di un determinato utente, in base alle opzioni di sicurezza dell'attività. Se un'attività pianificata non viene eseguita quando previsto, verificare che le relative opzioni di sicurezza siano impostate correttamente. Per ulteriori informazioni, vedere Contesto di sicurezza delle attività e Modificare un'attività esistente.

Un'attività è stata eseguita, ma non è stato eseguito correttamente il programma previsto

Se un'attività tenta di eseguire un programma, ma questo non viene eseguito correttamente, innanzitutto tentare di eseguirlo manualmente (non tramite un'attività) per verificare che funzioni in modo corretto. Potrebbe essere necessario aggiungere opzioni della riga di comando al percorso del programma. Per ulteriori informazioni, vedere Azioni. Se disponibile, visualizzare la guida per il programma che si sta tentando di eseguire.

La corretta esecuzione di alcuni programmi richiede privilegi elevati. Se un attività esegue un programma che richiede privilegi elevati, verificare che l'attività sia eseguita con i privilegi più elevati. È possibile impostare l'esecuzione di un'attività con i privilegi più elevati modificando le opzioni di sicurezza dell'attività nella scheda Generale della finestra di dialogo Proprietà.

Se un programma dell'attività non viene eseguito correttamente, verificare la cronologia dell'attività per eventuali errori. Per ulteriori informazioni, vedere Visualizzare le proprietà e la cronologia delle attività.

Si verifica un errore quando un'attività tenta di inviare un messaggio di posta elettronica

Se un'attività tenta di inviare un messaggio di posta elettronica, ma l'invio non riesce correttamente, verificare innanzitutto che le impostazioni per l'azione di posta elettronica sull'attività siano impostate correttamente. Per l'azione di posta elettronica deve essere specificato un valore valido per le impostazioni Server SMTP, A e Da. Per ulteriori informazioni su queste impostazioni, vedere Azioni.

Verificare che il server SMTP che invia il messaggio di posta elettronica sia impostato correttamente. I messaggi di posta elettronica vengono inviati utilizzando l'autenticazione NTLM per server SMTP di Windows, il che significa che le credenziali di sicurezza utilizzate per l'esecuzione dell'attività devono disporre inoltre dei privilegi per l'invio dei messaggi sul server SMTP. Se il server SMTP è un server non Windows, il messaggio di posta elettronica verrà inviato se il server consente l'accesso anonimo. Per informazioni sull'impostazione del server SMTP, vedere la pagina relativa all'impostazione del server SMTP. Per informazioni sulla gestione delle impostazioni del server SMTP, vedere la pagina relativa all'amministrazione del server SMTP.

Un'attività utilizza il 100% della CPU

Può essere pianificata un'attività che viene attivata molto spesso comportando l'utilizzo del 100% della CPU. Se si verifica questo problema, potrebbe non essere possibile utilizzare il sistema.

Per risolvere il problema, disattivare l'attività e quindi modificare il relativo trigger. Per ulteriori informazioni sulla modifica di un'attività, vedere Modificare un'attività esistente.

Se il sistema non risponde perché l'attività sta utilizzando tutte le risorse, eseguire le operazioni seguenti:

  1. Riavviare il computer in modalità provvisoria, in quanto in questa modalità il servizio Utilità di pianificazione non viene eseguito.

  2. Nella cartella /Windows/System32/Tasks rinominare il file relativo all'attività o eliminarlo.

  3. Riavviare il sistema in modalità normale e ridefinire l'attività.


Notazione di sintassi della riga di comando

Nella tabella seguente viene descritta la notazione utilizzata per indicare la sintassi della riga di comando.

Notazione | Descrizione
Testo senza parentesi quadre o graffe | Elementi da digitare come indicato
<Testo tra parentesi acute> | Segnaposto per il quale è necessario fornire un valore
[Testo tra parentesi quadre] | Elementi facoltativi
{Testo tra parentesi graffe} | Serie di elementi richiesti: effettuare una selezione
Barra verticale (|) | Separatore per elementi che si escludono a vicenda: effettuare una selezione
Puntini di sospensione (...) | Elementi che possono essere ripetuti